> ## Documentation Index
> Fetch the complete documentation index at: https://docs.retailgrid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Observation Version



## OpenAPI

````yaml https://clientapi.retailgrid.io/openapi.json get /v1/competitor_prices/{entity_id}/versions/{observation_id}
openapi: 3.1.0
info:
  title: Retailgrid Public API
  version: v1
servers: []
security: []
paths:
  /v1/competitor_prices/{entity_id}/versions/{observation_id}:
    get:
      tags:
        - competitor_prices
      summary: Observation Version
      operationId: >-
        observation_version_v1_competitor_prices__entity_id__versions__observation_id__get
      parameters:
        - name: entity_id
          in: path
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 128
            title: Entity Id
        - name: observation_id
          in: path
          required: true
          schema:
            type: string
            maxLength: 128
            minLength: 1
            title: Observation Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Observation'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Observation:
      properties:
        product_name:
          type: string
          maxLength: 4096
          title: Product Name
          default: ''
        competitor_sku:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Competitor Sku
        barcode:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Barcode
        brand:
          anyOf:
            - type: string
              maxLength: 200
            - type: 'null'
          title: Brand
        manufacturer_code:
          anyOf:
            - type: string
              maxLength: 128
            - type: 'null'
          title: Manufacturer Code
        size:
          anyOf:
            - type: string
              maxLength: 128
            - type: 'null'
          title: Size
        unit:
          anyOf:
            - type: string
              maxLength: 32
            - type: 'null'
          title: Unit
        price:
          anyOf:
            - $ref: '#/components/schemas/Money-Output'
            - type: 'null'
        regular_price:
          anyOf:
            - $ref: '#/components/schemas/Money-Output'
            - type: 'null'
        promo_price:
          anyOf:
            - $ref: '#/components/schemas/Money-Output'
            - type: 'null'
        availability:
          type: string
          enum:
            - in_stock
            - out_of_stock
            - preorder
            - backorder
            - discontinued
            - unknown
          title: Availability
          default: unknown
        status:
          anyOf:
            - type: string
              maxLength: 128
            - type: 'null'
          title: Status
        stock_on_hand:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,6}0*$
            - type: 'null'
          title: Stock On Hand
        observed_at:
          type: string
          format: date-time
          title: Observed At
        regular_price_amount:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,6}0*$
            - type: 'null'
          title: Regular Price Amount
          description: Exact stored regular amount, including when currency is unknown.
        promo_price_amount:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,6}0*$
            - type: 'null'
          title: Promo Price Amount
          description: Exact stored promotional amount, including when currency is unknown.
        effective_price_amount:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,6}0*$
            - type: 'null'
          title: Effective Price Amount
          description: Exact stored effective amount, including when currency is unknown.
        record_id:
          type: string
          maxLength: 128
          minLength: 1
          title: Record Id
        observation_id:
          type: string
          maxLength: 128
          minLength: 1
          title: Observation Id
        revision:
          type: integer
          minimum: 1
          title: Revision
        deleted:
          type: boolean
          title: Deleted
        listing_id:
          type: string
          maxLength: 128
          minLength: 1
          title: Listing Id
        competitor_id:
          anyOf:
            - type: string
              maxLength: 128
              minLength: 1
            - type: 'null'
          title: Competitor Id
        competitor_name:
          type: string
          title: Competitor Name
        source_url:
          type: string
          title: Source Url
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        item_id:
          anyOf:
            - type: string
              maxLength: 128
              minLength: 1
            - type: 'null'
          title: Item Id
        recorded_at:
          type: string
          format: date-time
          title: Recorded At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        producer_key:
          type: string
          title: Producer Key
        assurance:
          type: string
          title: Assurance
        delivery_kind:
          type: string
          title: Delivery Kind
        delivery_id:
          type: string
          title: Delivery Id
        document_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Document Id
        actor:
          anyOf:
            - type: string
            - type: 'null'
          title: Actor
      additionalProperties: false
      type: object
      required:
        - observed_at
        - record_id
        - observation_id
        - revision
        - deleted
        - listing_id
        - competitor_name
        - source_url
        - recorded_at
        - updated_at
        - producer_key
        - assurance
        - delivery_kind
        - delivery_id
      title: Observation
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Money-Output:
      properties:
        amount:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,6}0*$
          title: Amount
        currency:
          type: string
          pattern: ^[A-Z]{3}$
          title: Currency
      additionalProperties: false
      type: object
      required:
        - amount
        - currency
      title: Money
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.